/************************************************************************
 |
 |				: VCC1 Cu@wb_t@C
 |
 |		t@C	: vcc1.h
 |
 |		m.hama@95/12/22		
 |				96/01/05	Vcc1Open Ұǉ
 |
 ************************************************************************/

#define DllExport   __declspec( dllexport )

#define	VCC1_COM1	0
#define	VCC1_COM2	1
#define	VCC1_COM3	2

#ifdef __cplusplus
extern "C" {
#endif

extern DllExport int	APIENTRY Vcc1Open(int);				/* VCC1(0:COM1 1:COM2 2:COM3) */
extern DllExport void	APIENTRY Vcc1Close(VOID);			/* VCC1I(ONLY RS CLOSE) */
extern DllExport void	APIENTRY Vcc1Reset(VOID);			/* JRESET */
extern DllExport void	APIENTRY Vcc1Home(VOID);			/* HOME ʒuړ */
extern DllExport void	APIENTRY Vcc1Stop(VOID);			/* pA`g~ */
extern DllExport void	APIENTRY Vcc1PanRight(VOID);		/* pEX^[g */
extern DllExport void	APIENTRY Vcc1PanLeft(VOID);			/* pX^[g */
extern DllExport void	APIENTRY Vcc1TiltUp(VOID);			/* `gX^[g */
extern DllExport void	APIENTRY Vcc1TiltDown(VOID);		/* `gX^[g */
extern DllExport void	APIENTRY Vcc1ZoomStop(VOID);		/* ZOOM STOP */
extern DllExport void	APIENTRY Vcc1ZoomWide(VOID);		/* ZOOM WIDE */
extern DllExport void	APIENTRY Vcc1ZoomTele(VOID);		/* ZOOM TELE */
extern DllExport void	APIENTRY Vcc1ZoomWide2(VOID);		/* ZOOM WIDE   */
extern DllExport void	APIENTRY Vcc1ZoomTele2(VOID);		/* ZOOM TELE   */
extern DllExport void	APIENTRY Vcc1PowerOn(VOID);			/* _ POWER ON  */
extern DllExport void	APIENTRY Vcc1PowerOff(VOID);		/* _ POWER OFF  */
extern DllExport void	APIENTRY Vcc1FocusAf(VOID);			/* FOCUS_AF  */
extern DllExport void	APIENTRY Vcc1FocusManual(VOID);		/* FOCUS_MANUAL  */	
extern DllExport void	APIENTRY Vcc1FocusNear(VOID);		/* FOCUS_NEAR  */
extern DllExport void	APIENTRY Vcc1FocusFar(VOID);		/* FOCUS_FAR  */
extern DllExport void	APIENTRY Vcc1ShutPro(VOID);			/* SHUTTER PROGRAM MODE  */
extern DllExport void	APIENTRY Vcc1Shut60(VOID);			/* SHUTTER SPEED 1/60sec  */
extern DllExport void	APIENTRY Vcc1Shut100(VOID);			/* SHUTTER SPEED 1/100sec  */
extern DllExport void	APIENTRY Vcc1Init1(VOID);			/* _䏉1  */
extern DllExport void	APIENTRY Vcc1Init2(VOID);			/* _䏉2  */
extern DllExport void	APIENTRY Vcc1HoseiOff(VOID);		/* t␳OFF  */
extern DllExport void	APIENTRY Vcc1HoseiOn(VOID);			/* t␳ON  */
extern DllExport void	APIENTRY Vcc1WhiteNormal(VOID);		/* ܲݽɰ  */
extern DllExport void	APIENTRY Vcc1WhiteLock(VOID);		/* ܲݽۯ  */
extern DllExport void	APIENTRY Vcc1ControlerOn(VOID);		/* Rnm  */
extern DllExport void	APIENTRY Vcc1ControlerOff(VOID);	/* Rnee  */
extern DllExport void	APIENTRY Vcc1ThrowOn(VOID);			/* RX[[hON  */
extern DllExport void	APIENTRY Vcc1ThrowOff(VOID);		/* RX[[hOFF  */

/* ݒR}h */
extern DllExport void	APIENTRY Vcc1SetPanSpeed(int);		/* p[^xݒ (100-500) */
extern DllExport void	APIENTRY Vcc1SetTiltSpeed(int);		/* `g[^xݒ (100-500) */
extern DllExport void	APIENTRY Vcc1SetPanPos(int);		/* pʒuݒ (0-1339) */
extern DllExport void	APIENTRY Vcc1SetTiltPos(int);		/* `gʒuݒ (0-650) */
extern DllExport void	APIENTRY Vcc1SetZoomPos(int);		/* Y[ʒuݒ (0-128) */
extern DllExport void	APIENTRY Vcc1SavePos(int);			/* ݈ʒuvZbgwԍɓo^(1-6) */
extern DllExport void	APIENTRY Vcc1RestorePos(int);		/* vZbgwԍ̈ʒuɈړ (1-6) */

/* vR}h */
extern DllExport int	APIENTRY Vcc1GetPanSpeed(VOID);		/* p[^xv (100-500) */
extern DllExport int	APIENTRY Vcc1GetTiltSpeed(VOID);	/* `g[^xv (100-500) */
extern DllExport int	APIENTRY Vcc1GetPanPos(VOID);		/* pʒuv (0-1339) */
extern DllExport int	APIENTRY Vcc1GetTiltPos(VOID);		/* `gʒuv (0-650) */
extern DllExport int	APIENTRY Vcc1GetZoomPos(VOID);		/* Y[ʒuv (0-128) */
extern DllExport int	APIENTRY Vcc1GetStatus(VOID);		/* Xe[^Xv */
extern DllExport int	APIENTRY Vcc1GetPresetStatus(VOID);	/* vZbgXe[^Xv */

#ifdef __cplusplus
}
#endif
